// Code generated by goa v3.8.5, DO NOT EDIT.
//
// cache HTTP server types
//
// Command:
// $ goa gen
// gitlab.com/gaia-x/data-infrastructure-federation-services/tsa/cache/design

package server

import (
	cache "gitlab.com/gaia-x/data-infrastructure-federation-services/tsa/cache/gen/cache"
)

// NewGetCacheGetRequest builds a cache service Get endpoint payload.
func NewGetCacheGetRequest(key string, namespace *string, scope *string) *cache.CacheGetRequest {
	v := &cache.CacheGetRequest{}
	v.Key = key
	v.Namespace = namespace
	v.Scope = scope

	return v
}

// NewSetCacheSetRequest builds a cache service Set endpoint payload.
func NewSetCacheSetRequest(body interface{}, key string, namespace *string, scope *string, ttl *int) *cache.CacheSetRequest {
	v := body
	res := &cache.CacheSetRequest{
		Data: v,
	}
	res.Key = key
	res.Namespace = namespace
	res.Scope = scope
	res.TTL = ttl

	return res
}

// NewSetExternalCacheSetRequest builds a cache service SetExternal endpoint
// payload.
func NewSetExternalCacheSetRequest(body interface{}, key string, namespace *string, scope *string, ttl *int) *cache.CacheSetRequest {
	v := body
	res := &cache.CacheSetRequest{
		Data: v,
	}
	res.Key = key
	res.Namespace = namespace
	res.Scope = scope
	res.TTL = ttl

	return res
}
